Available in Classic and VPC
Request a Global Edge certificate.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| POST | /certificate/requestGedCertificateIssuance |
Request headers
For information about the headers common to all Certificate Manager APIs, see Common Certificate Manager headers.
Request body
You can include the following data in the body of your request:
| Field | Type | Required | Description |
|---|---|---|---|
certificateName |
String | Required | Certificate name |
commonName |
String | Required | Domain to be included in the certificate CN (Common Name) |
dnsName |
Array | Optional | List of domains to be included in the certificate SAN (Subject Alternative Name) |
Request example
The request example is as follows:
curl --location --request POST 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/requestCertificateIssuance' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--header 'accept: application/json' \
--data '{
"certificateName": "ncloudcertificatege",
"commonName": "ncloud.com",
"dnsName": ["naver.com","ncloud-docs.com"]
}'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
returnCode |
String | - | Response code |
returnMessage |
String | - | Response message |
totalRows |
Integer | - | Total number of lists searched |
certificate |
Object | - | Certificate request result |
certificate.certificateNo |
Integer | - | Certificate number |
certificate.certificateName |
Integer | - | Certificate name |
certificate.statusCode |
Integer | - | Certificate validation status code |
certificate.statusName |
String | - | Certificate validation status |
certificate.commonName |
String | - | Domain to be included in the certificate CN (Common Name) |
certificate.dnsName |
Array | - | List of domains to be included in the certificate SAN (Subject Alternative Name) |
Response status codes
For information about the HTTP status codes common to all Certificate Manager APIs, see Common Certificate Manager response status codes.
Response example
The response example is as follows:
{
"returnCode": "0",
"returnMessage": "Success",
"totalRows": 1,
"certificate": {
"certificateNo": 55988,
"certificateName": "ncloudcertificatege",
"statusCode": "0",
"statusName": "Ongoing",
"commonName": "ncloud.com",
"dnsName": "naver.com,ncloud-docs.com"
}
}